{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
<body class="body-panier">
<section>

    
<div class="container-flex-logging">
    <form class="form-logging" method="post">
        {% if error %}
            <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}

        {% if app.user %}
            <div class="mb-3">
                You are logged in as {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Logout</a>
            </div>
        {% endif %}

        <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>
        <label for="inputEmail">Email</label>
        <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus>
        <label for="inputPassword">Password</label>
        <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>

        <input type="hidden" name="_csrf_token"
            value="{{ csrf_token('authenticate') }}">
        <button class="btn btn-lg btn-primary" type="submit">
        Sign in
        </button>
        <div class="div-link-register">
        <a class="div-link-register" href="{{ path('app_register') }}">si vous n'avez pas encore de compte utilisateur</a>     
        </div> 
    </form>       



    

{% endblock %}
